Subject: Re: Setup and recovering from mistakes.
From: CBFalconer <[email-masked]>
To: [email-masked]
Date: Thu, 17 Oct 2002 18:13:28 -0400

Max Bowsher wrote:
> Zieg, Mark <[email-masked]> wrote:
> 
> >>>> Progess [wait]
> >>>
> >>> How long is the "Progress [wait]" step under what
> >>> conditions including CPU speed (mine is very slow, a 486/80)?
> >>
> >> Less than 1 sec on my P4 1.2GHz. I think you should hear disc access
> >> during this phase. (I can't tell - 1GB of RAM allows a lot of disc
> >> cache :-) )
> >
> > Mine is often 15-20sec on 1.7Ghz P4's (.5GB RAM).  Yeah, those
> > checksums'll kill you.
> 
> There is no checksumming in the currently released setup. Only in the
> dev-snapshots.
> 
> > Too-early fallback to ctl-alt-del messed me up for a while, too.
> > Forgot about that.  Be nice if Setup had a progress bar for that
> 
> It does, in the dev-snapshots.

I'll let those wait and go with the crowd.  All seems to work
quite nicely once I control my impatience.  Even without a
progress bar above, a display "wait - scanning" or something of
the ilk would be useful.

Some more questions (which are not obvious to me):

Q1: What to the various boxes (prev, cur, exp, view, category) do?

Q2: How does one expand the window.  The full screen box is grayed
out, and there is no corner to grab.  I hate horizontal scrolling.

Q3: What does the 'disk' progress indicator mean?  It is obviously
not fullness of the drive, unless it is running into the uSoft bug
on reporting disk space available.  The output of df is as follows
(v and x are SUBST on directories of the C: drive)
> 
> chuck@aeyrieone ~
> $ df
> Filesystem           1k-blocks      Used Available Use% Mounted on
> C:\cygwin\bin          2096832   1525856    570976  73% /usr/bin
> C:\cygwin\lib          2096832   1525856    570976  73% /usr/lib
> C:\cygwin              2096832   1525856    570976  73% /
> c:                     2096832   1525856    570976  73% /cygdrive/c
> d:                     2096832   1308416    788416  63% /cygdrive/d
> e:                     2096832         0   2096832   0% /cygdrive/e
> f:                     2096832   1568864    527968  75% /cygdrive/f
> v:                     2096832   1525856    570976  73% /cygdrive/v
> x:                     2096832   1525856    570976  73% /cygdrive/x

*********************************
The following are not about setup.

Q4: Once bash is started by the batch file, my original MSDOS path
shows up in path, yet bash won't execute the DOS utilities on that
path.  I should probably have the batch clean out the path to keep
things separate, but is this normal?  I can always CTL-TAB to
another window for such utilities anyhow.

Q5: The packages I have installed have not appeared in the info
directory, AFAICT.  Man appears to take forever, but I believe its
pages are considered obsolete.  Is this correct?  Should I take
steps to install all the info pages, and if so what steps.

The system feels and acts like Unix/Linux to me so far - very
nice.

-- 
Chuck F ([email-masked]) ([email-masked])
   Available for consulting/temporary embedded and systems.
   <http://cbfalconer.home.att.net>  USE worldnet address!

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/